@charset "utf-8";
/* CSS Document */
html {
  scroll-behavior: smooth;
}
.margin { margin-left: 30px; }
.moreinfo br { display: none; }
.moreinfo a { font-weight: bold; }
#onas, #vystava, #blog, #kontakty {
  scroll-margin-top: 100px;
}
html * {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  line-height: 1.5;
  font-size: 16px;
  font-family: "Nunito", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  font-weight: 500;
  text-align: center;
  color: #646464;
  min-width: 300px;
}
a {
  color: #646464;
  text-decoration: none;
}
a:hover {
  color: #ee2978;
}
h1, h2, h3, h4, h5, h6 {
  font-family: "Barlow Condensed", sans-serif;
  font-weight: 700;
  font-style: normal;
  line-height: 1.1;
  margin-bottom: 0.5em;
}
.container {
  width: 80%;
  max-width: 1280px;
  margin: 0 auto;
}
.inner-container {
  width: 95%;
  margin: 0 auto;
}
#story .inner-container {
  width: 90%;
  margin: 0 auto;
}
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 12% 0 6%;
  background-color: #fff;
}
.logo img {
  height: 100px;
}
#home h2 {
  text-transform: uppercase;
  font-family: "Barlow Condensed", sans-serif;
  font-weight: 700;
  font-style: normal;
  color: #ee2978;
  text-align: center;
  display: flex;
  align-items: center;
  margin: 2rem 0 3rem 0;
}
#home h2::before, h2::after {
  content: '';
  flex: 1;
  border-bottom: 4px solid #ee2978; /* ružová čiara */
  border-radius: 2px;
  margin: 0 1rem;
}
section {
  margin-top: 3rem;
}
section p {
  padding: 0 10%;
}
/*menu*/
nav ul {
  list-style: none;
  display: flex;
  gap: 0.5rem;
  position: relative;
}
nav ul li {
  position: relative;
}
nav ul li a {
  text-decoration: none;
  color: #646464;
  padding: 0.25rem;
  display: block;
  text-transform: uppercase;
  font-family: "Barlow Condensed", sans-serif;
  font-weight: 700;
  font-style: normal;
  font-size: 150%;
}
nav ul li a:hover {
  color: #ee2978;
}
.submenu {
  position: absolute;
  top: 100%;
  left: 50%;
  background-color: #ee2978;
  display: none;
  flex-direction: column;
  z-index: 1000;
  width: 240px;
  padding: 4px 0;
  margin-left: -120px;
  box-shadow: 0 5px 10px 10px rgba(170,30,90,0.2);
}
nav ul li:hover .submenu {
  display: flex;
  animation: fadeIn 0.3s ease-in-out;
}
.submenu a {
  padding: 0.15rem 1rem;
  color: white;
  text-transform: uppercase;
  font-size: 120%;
  text-align: center;
}
.submenu a:hover {
  color: #da407a;
  background: white;
}
@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
main {
  padding: 2rem;
}
/*homecards*/
.cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 1rem;
}
.card {
  position: relative;
}
.card img {
  display: block;
  width: 100%;
  height: auto;
}
.card img:hover {
  transform: scale(102%);
  -moz-transition: transform 0.3s;
  -o-transition: transform 0.3s;
  -webkit-transition: transform 0.3s;
  transition: transform 0.3s;
}
.card a {
  text-decoration: none;
  color: inherit;
}
.card.hidden {
  display: none;
}
/*onas*/
#onas img {
  width: 20%;
  display: block;
  margin: 0 auto 2em auto;
}
#onas img.claim {
  width: 28%;
}
#onas p {
  margin: 0 auto 2em auto;
}
.btn { background: #ee2978; color: white; display: inline-block; padding: 5px 8px 6px 8px; font-weight: bold; font-family: "Barlow Condensed", sans-serif; font-size: 1.4rem; }
.btn:hover { background: #000; color: white; box-shadow: 0 0 10px 5px rgba(0,0,0,0.2); }
/*vystava*/
#vystava h3, #vystava h4 {
  font-size: 150%;
  line-height: 1;
}
#vystava h4 {
  padding: 0;
  margin: 0 0 10px 0;
}
#vystava h3 {
  color: #ee2978;
  margin: 0 0 5px 0;
  padding: 0;
}
.vystava-img img {
  display: block;
  max-width: 100%;
}
.vystava-img {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 1rem;
  padding: 0 0 3% 0;
  justify-self: center;
}
#vystava h3.harmonogram { margin-top: 30px; }
#vystavapage .exhibition-date { font-size: 120%; font-family: "Barlow Condensed", sans-serif; margin-top: -10px; }
/*blog*/
.blog {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 1rem;
  padding: 0 5%;
}
#blog .blog a { color: #e93079; }
#blog .blog a:hover { color: #e93079; text-decoration: underline; }
.blog h3 {
  color: #e93079;
  text-transform: uppercase;
  font-size: 150%;
}
.blog-item img {
  width: 95%;
  height: auto;
  margin-bottom: 1em;
}
.blog-item img:hover {
 box-shadow: 0 0 10px 6px rgba(0,0,0,0.3);
 transform: scale(1.05);
  -moz-transition: transform 0.3s;
  -o-transition: transform 0.3s;
  -webkit-transition: transform 0.3s;
  transition: transform 0.3s;
}
/*kontakty*/
.map {
  width: 100%;
  margin-bottom: 1rem;
}
.map img {
  max-width: 60%;
  margin: 4% auto 6% auto;
  display: block;
}
#kontakty {
  padding-bottom: 5%;
}
.contacts, .contacts2, .contacts3 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 1rem;
  margin: 0 auto;
}
.contacts a, .contacts2 a, .contacts3 a {
  text-decoration: underline;
}
.contacts a:hover, .contacts2 a:hover, .contacts3 a:hover {
  color: #ee2978;
}
.contacts div, .contacts2 div, .contacts3 div {
  padding: 0 5rem;
}
.contacts h3, h4, h5, .contacts2 h3, h4, h5, .contacts3 h3, h4, h5 {
  font-size: 120%;
}
.contacts h5, .contacts2 h5, .contacts3 h5 {
  font-family: "Nunito", sans-serif;
  margin-top: 20px;
}
.cbookmark { margin: 40px auto 60px auto; }
.cbookmark li { display: inline-block; list-style-type: none; margin: 0; padding: 0; }
.cbookmark a { display: block; font-size: 1.25rem; font-family: "Barlow Condensed", sans-serif; padding: 6px 16px; color: #646464; background: #c8c8c8;  }
.cbookmark .active a { background: #ee2c7e; color: white; }
/*partneri*/
#partneri {
  padding-bottom: 6%;
}
#partneri img {
  display: block;
  height: 100px;
}
.otherpartners, .toppartners {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}
#partneri img.logo1 {
  height: 140px;
  margin-top: 40px;
}
#partneri img.logo2 {
  height: 80px;
  margin: 40px 0 0 30px;
}
#partneri img.logo3 {
  height: 140px;
}
#partneri img.logo4 {
  height: 100px;
  margin-left: 30px;
}

/*footer*/
#story footer {
  margin-top: 200px;
}
footer {
  background: #ee2978;
  color: white;
  padding: 4rem 0 5rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 110%;
  position: relative;
  flex-wrap: wrap;
  gap: 15%;
}
footer img.mainlogo {
  height: 100px;
}
footer img.pribehlogo {
  height: 200px;
  position: absolute;
  top: -200px;
  display: block;
  right: 35%;
}
footer .footer-info {
  max-width: 70%;
  padding: 40px 0 0 0;
}
footer a {
  color: white;
}
footer a:hover {
  text-decoration: underline;
  color: white;
}
/*pribeh*/
.hero-section {
  background-color: #f0bb4f;
  box-shadow: 0 0 10px 4px rgba(0, 0, 0, 0.2);
  margin-top: 0;
}
.article-divider { display: block; margin: 40px auto 0 auto; max-width: 140px; }
.color-kralova { background-color: #e6ae13; }
.color-cziborova { background-color: #7c9262; }
.color-makovnikova { background-color: #1b5376; }
.color-guranova { background-color: #cc2a27; }
.color-karacova { background-color: #d41839; }
.color-durisova { background-color: #f0bb4f; }
.color-gondas { background-color: #2d5169; }
.color-cerepkaiova { background-color: #5d8fa6; }
.color-dudas { background-color: #829e67; }
.color-vanova { background-color: #005a75; }
.color-marko { background-color: #72874e; }
.color-falb { background-color: #054a6b; }
.color-niczova { background-color: #002d4e; }
.color-projekt { background-color: #ee277a; }

.hero-container {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
.hero-text {
  flex: 1 1 50%;
  color: white;
}
.hero-text h1 {
  font-size: 3.5rem;
  font-weight: bold;
  font-family: "Roboto", sans-serif;
  line-height: 1.2;
  padding: 80px 0;
}
.hero-text h1.onaspages {
  font-size: 3.5rem;
  padding: 80px 0;
}
.hero-text .year {
  font-weight: bold;
  font-size: 2rem;
  line-height: 1.5;
  display: block;
}
.hero-image {
  flex: 1 1 50%;
  text-align: right;
}
.hero-image img {
  max-width: 100%;
  height: auto;
  display: block;
}
.quote-section h2 {
  color: #ee2978;
  font-size: 2rem;
  text-align: center;
  font-family: "Barlow Condensed", sans-serif;
  font-weight: 700;
  font-style: italic;
  width: 80%;
  margin: 60px auto 30px auto;
  line-height: 1.25;
}
.content-section.aboutpages {
  margin: 60px auto 0 auto;
}
.content-section.aboutpages p {
  line-height: 1.5;
}
.content-section.aboutpages h3 {
  color: #ef2a7a;
}
.phases { max-width: 320px; margin: 0 auto 50px auto; text-align: center; }
.phases ol { list-style-position: inside; }
.phases ol li { margin: 0 5px; }
.content-section.aboutpages .phases h2 { text-align: center; padding-left: 25px; margin: 0; }
.logo-oprojekte-1 { margin-bottom: 30px; height: 150px; }
.logo-oprojekte-2 { margin-bottom: 30px; height: 100px; }
.symptom, .facts { display: flex; text-align: center; flex-wrap: wrap; justify-content: center; }
.symptom div, .facts div { width: 20%; min-width: 200px; }
.symptom img, .facts img { display: block; max-width: 100%; }
.quote-section p {
  padding: 0 10%;
}
.content-section {
  margin: 0 auto;
}
.content-section em {
  font-weight: 700;
}
.content-section h2 em {
  font-size: 2.0rem;
}
.content-section.aboutpages h2 {
  margin-top: 60px;
}
.content-section h2 {
  font-size: 1.6rem;
  margin-bottom: 1rem;
  margin-top: 2rem;
  font-family: "Barlow Condensed", sans-serif;
}
.content-section p {
  margin-bottom: 2.5rem;
  text-align: center;
  font-family: "Nunito", sans-serif;
  line-height: 2;
  padding: 0 10%;
}

/*carousel*/
.cards-carousel {
  overflow: hidden;
  width: 100%;
  position: relative;
  margin: 0 auto 0 auto;
}
.carousel-track {
  display: flex;
  transition: transform 0.5s ease-in-out;
  will-change: transform;
}
.carousel-track .card {
  flex: 0 0 25%;
  max-width: 25%;
}


/*---------------------------------------------------------*/
/* mobilna verzia */
@media (max-width: 1240px) {
  .cards {
    grid-template-columns: repeat(auto-fit, minmax(45%, 1fr));
  }
.hero-text h1 {
  font-size: 3.5rem;
}
.hero-text h1.onaspages {
  font-size: 2.5rem;
}
}
@media (max-width: 991px) {
  .hero-container {
    flex-direction: column;
    text-align: center;
  }
  .hero-text, .hero-image {
    flex: 1 1 100%;
    padding: 1rem 0.5rem;
  }
  .hero-text h1 {
    font-size: 2rem;
  }
  .hero-text .year {
    font-size: 1.2rem;
  }
  .quote-section {
    font-size: 1.1rem;
  }
}
.container {
  width: 90%;
  margin: 0 auto;
}
/* Mobilné menu */
.hamburger {
  display: none;
  font-size: 2rem;
  cursor: pointer;
  margin-top: 15px;
  position: absolute;
   right: 8%;
   top: 3%;
   padding: 10px 20px;
   z-index: 997;
}
.mobile-menu {
  position: fixed;
  top: 0;
  right: -100%;
  width: 60%;
  max-width: 300px;
  height: 100%;
  background: white;
  transition: right 0.4s ease;
  z-index: 999;
  display: flex;
  flex-direction: column;
  padding: 3rem 1em;
  box-shadow: -2px 0 8px rgba(0, 0, 0, 0.2);
  font-size: 150%;
  font-family: "Barlow Condensed", sans-serif;
  font-weight: 700;
  font-style: normal;
  overflow: auto;
  scrollbar-width: thin; scrollbar-color: #888 #f1f1f1;
}
.mobile-menu::-webkit-scrollbar {width: 3px;}
.mobile-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  display: none;
  z-index: 998;
}
.mobile-submenu {
  background: #eee;
  padding: 20px 0 40px 0;
}
.mobile-menu ul li .mobile-submenu a {
  font-size: 75%;
  background: #eee;
  padding: 3px 0;
}
.mobile-menu ul {
  list-style: none;
}
.mobile-menu ul li {
  margin-bottom: 1rem;
}
.mobile-menu ul li a {
  font-size: 1.4rem;
  color: #646464;
  text-transform: uppercase;
  text-align: center;
}
.mobile-submenu {
  display: none;
  flex-direction: column;
  margin-top: 1rem;
}
.has-submenu.open .mobile-submenu {
  display: flex;
  animation: fadeIn 0.3s ease-in-out;
}

@media (max-width: 991px) {
  nav {
    display: none;
  }
  .hamburger {
    display: block;
  }
  #onas img {
    width: 40%;
  }
  #onas img.claim {
    width: 50%;
  }
  #partneri img {
    height: 75px;
  }
  #partneri img.logo1 {
    height: 105px;
    margin-top: 40px;
  }
  #partneri img.logo2 {
    height: 60px;
    margin: 40px 0 0 30px;
  }
  #partneri img.logo3 {
    height: 80px;
  }
  #partneri img.logo4 {
    height: 80px;
  }
  .hero-text, .hero-image {
    padding: 0;
  }
.hero-text h1 {
  font-size: 4rem;
}
}
@media (max-width: 768px) {
  .inner-container {
    width: 100%;
    margin: 0 auto;
  }
  .map img {
    max-width: 100%;
  }
  .cards {
    grid-template-columns: repeat(auto-fit, minmax(45%, 1fr));
  }
  #partneri img.logo4 {
    margin-top: 25px;
  }
.vystava-img {
 margin-bottom: 30px;
}
.carousel-track .card {
  flex: 0 0 50%;
  max-width: 50%;
  flex-wrap: wrap;    
}
section {
  margin-top: 30px;
}
}
@media (max-width: 600px) {
  .blog, .contacts, .contacts2, .contacts3 {
    grid-template-columns: 1fr;
  }
  footer {
    text-align: center;
  }
  footer .footer-info {
    max-width: 100%;
    margin-top: 1rem;
  }
  .contacts div, .contacts2 div, .contacts3 div {
    padding: 0;
  }
.symptom div, .facts div { width: 80%; min-width: 250px; }
section p {
  padding: 0 2.5%;
}
footer img.pribehlogo {
  height: 150px;
  position: absolute;
  top: -150px;
  display: block;
  right: 25%;
}
  #partneri img {
    height: 50px;
  }
  #partneri img.logo1 {
    height: 70px;
  }
  #partneri img.logo2 {
    height: 40px;
  }
}
@media (max-width: 480px) {
.moreinfo br { display: block; }
.margin { margin: 8px 0 0 0; display: block; }
.container {
  width: 100%;
}
  .logo img {
    height: 70px;
  }
  #onas img {
    width: 75%;
  }
  #onas img.claim {
    width: 85%;
  }
  .cards {
    grid-template-columns: repeat(auto-fit, minmax(45%, 1fr));
  }
  .contacts, .contacts2, .contacts3 {
    grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
    gap: 0;
  }
  .contacts div, .contacts2 div, .contacts3 div {
    margin-top: 30px;
  }
.vystava-img {
  grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
}
.blog {
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  padding: 0;
}
.cbookmark { margin: 60px auto 30px auto; }
.cbookmark li { display: block; margin: 5px auto; width: 80%; }
.symptom div, .facts div { width: 90%; min-width: auto; }
.quote-section h2 {
  font-size: 1.5rem;
  width: 90%;
}
.quote-section p, .content-section p {
  padding: 0;
}
.hero-text h1 {
  font-size: 2.5rem;
}
.hero-text h1.onaspages {
  font-size: 2.0rem;
}
.logo-oprojekte-1 { height: 140px; }
.logo-oprojekte-2 { height: 70px; }
}
@media (min-height: 900px) {
.hamburger {
   top: 2%;
}
}
@media (min-height: 1000px) {
.hamburger {
   top: 3.5%;
}
}
